.wrapper {
    width: 255px;
    position: fixed;
    background: var(--white);
    top: 0;
    height: calc(100vh);
    z-index: 9;
    transition: 0.3s;
    .logo-wrapper {
        padding-left: 10px;
        height: 100%;
        display: flex;
        align-items: center;
    }
}
// Logo

.main-header-left {
    display: inline-flex;
    width: 100%;
    height: 80px;
    padding: 12px;
    align-items: center;
    background-color: transparent;
    z-index: 10;
    box-shadow: -3px 1px 3px 1px rgb(68 102 242 / 10%);
}

.main-header-left {
    .logo-wrapper {
        padding-left: 10px;
        height: 100%;
        display: flex;
        align-items: center;
    }
}

// user sidebar
.sidebar-user {
    padding: 25px 10px;
    box-shadow: 3px 2px 7px -1px rgb(127 151 249 / 13%);
    position: relative;
}

.sidebar {
    height: calc(100vh - 80px);
    overflow: auto;
    box-shadow: 0 0 11px rgb(143 164 232 / 8%);
}

.custom-scrollbar::-webkit-scrollbar {
    width: 6px;
}
.custom-scrollbar::-webkit-scrollbar-thumb {
    background-color: rgba(255, 128, 132, 0.17);
}
.custom-scrollbar::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px #e8ebf2;
    box-shadow: inset 0 0 6px #e8ebf2; //
}

.sidebar-user {
    h6 {
        color: #ff8084;
        text-transform: uppercase;
        font-weight: 600;
        letter-spacing: 1.5px;
        margin-bottom: 3px;
    }
    p {
        text-transform: uppercase;
        font-weight: 600;
        font-size: 10px;
        margin-bottom: 0px;
        color: var(--text-color);
        line-height: 1.7;
        letter-spacing: 0.7px;
    } 
}


// sidebar menu
.sidebar-menu {
    margin: 0;
    padding: 20px;
    list-style: none; 
}
.sidebar-menu {
    li {
        a { 
            display: block;
            transition: 0.3s;
            &:hover{
                color: #ff8084;
                padding-left: 3px;
                transition: 0.3s;
            }
        }
    }
} 

.menu-item {
    display: flex;
    align-items: center;
    -webkit-transition: background-color ease-in-out 200ms;
    transition: background-color ease-in-out 200ms; 
    color: #313131;
} 


.sidebar-header {
    font-size: 14px;
    letter-spacing: 0.5px; 
    text-transform: capitalize;
    font-weight: 600; 
    padding-bottom: 12px;
    padding-top: 12px;
    svg {
        width: 14px;
        height: 14px;
        margin-right: 14px;
        stroke-width: 3px;
        vertical-align: text-bottom;
    }
} 

.sidebar-submenu { 
    li{ 
        a {
            padding-bottom: 7px;
            padding-top: 7px;
            font-size: 14px;
            color: #898989;
            transition: 0.3s;
            text-transform: capitalize;
            position: relative;
            padding-left: 10px; 
            letter-spacing: 0.7px;
            &:hover {
                color: var(--theme-color);
                text-decoration: none;
            }
        }
    }
}


.sidebar-submenu{
    display: none;
}
.active {
    .sidebar-submenu {
        display: block;
        transform: rotateX(0deg);
        transform-origin: 10% 10%;
        transition: transform 0.3s, opacity 0.3s;
        transform-style: preserve-3d;
        margin: 0;
        margin-left: 25px;
        .active{
            color: var(--theme-color);
        }
    }
}

.sidebar-submenu_2{
    display: none; 
    transform: rotateX(0deg);
    transform-origin: 10% 10%;
    transition: transform 0.3s, opacity 0.3s;
    transform-style: preserve-3d;
    margin: 0;
    margin-left: 25px;
    .active{
        a { color: var(--theme-color); }
    }
}

.sidebar-submenu {
    .menu-open{
        display: block;
    }
}